Skip to content

Get Offramp Status

POST
/v5/offramp/status

Poll the status of a Card API offramp using tag hash, tx hash, or HHTXID.

Authorizations

ApiKeyAuth
Type
API Key (header: X-Api-Key)

Request Body

application/json
JSON
{
"tagHash": "string",
"chainId": 1,
"txHash": "string",
"HHTXID": "string"
}

Responses

OK

application/json
JSON
{
"status": "ok",
"payload": {
"state": "PENDING",
"HHTXID": "string",
"chainTxHash": "string",
"chainId": 0,
"tokenAmount": "string",
"EURAmount": "string",
"destination": {
"additionalProperties": "string"
},
"updatedAt": 0
}
}

Playground

Authorization
Body

Samples

Powered by VitePress OpenAPI

Code examples

bash
curl -X POST https://api.brrr.network/v5/offramp/status \
  -H "X-Api-Key: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "HHTXID": "F0E2D8B3-1A4C-4F6E-9D5B-8C7F3E2A1B0D"
}'
javascript
const response = await fetch('https://api.brrr.network/v5/offramp/status', {
  method: 'POST',
  headers: {
    'X-Api-Key': process.env.BRRR_API_KEY,
    'Content-Type': 'application/json',
  },
  body: JSON.stringify({
  'HHTXID': 'F0E2D8B3-1A4C-4F6E-9D5B-8C7F3E2A1B0D'
}),
});

if (!response.ok) {
  const error = await response.json();
  throw new Error(`Request failed: ${error.errorCode}`);
}

const data = await response.json();
console.log(data.payload);
python
import os
import httpx

response = httpx.post(
    'https://api.brrr.network/v5/offramp/status',
    headers={
        'X-Api-Key': os.environ['BRRR_API_KEY'],
        'Content-Type': 'application/json',
    },
    json={
    "HHTXID": "F0E2D8B3-1A4C-4F6E-9D5B-8C7F3E2A1B0D"
},
)
response.raise_for_status()
print(response.json()['payload'])